View Issue Details

IDProjectCategoryView StatusLast Update
0000151FreeCADFeaturepublic2011-03-29 19:49
Reporteryorik Assigned Toyorik  
PrioritylowSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.12 
Summary0000151: support 3DFACES in dxf import & export
DescriptionDXF format, althought it is "open", is very closed inrelation with 3D. There are basically 2 possible types of 3D data in a dxf file: 3DFACE entities, which are simple triangles, and ACIS data, which comes as one big block of binary code inside the file. ACIS format is proprietary and undocumented, so its a no-go for us... But it supports solids and all the stuff.

Supporting 3DFACE entities is actually not too useful, but it will at least allow to export something.
TagsNo tags attached.
FreeCAD Information

Relationships

parent of 0000308 closedyorik Exported dxf totally broken when re-importing 

Activities

yorik

2011-03-29 19:49

administrator   ~0000755

added in r4330. 3DFACE entities, 3D polyline meshes and 3D polyface meshes (both special kinds of polylines) are imported respectively as Part faces and meshes.
I also added an option in the Draft preferences to allow exporting 3D objects as polyfaces, therefore allowing for more or less decent dxf 3d export.

Issue History

Date Modified Username Field Change
2010-09-08 10:13 yorik New Issue
2010-09-08 10:15 yorik Status new => assigned
2010-09-08 10:15 yorik Assigned To => yorik
2011-03-14 23:12 yorik Relationship added parent of 0000308
2011-03-29 19:49 yorik Note Added: 0000755
2011-03-29 19:49 yorik Status assigned => closed
2011-03-29 19:49 yorik Resolution open => fixed
2011-03-29 19:49 yorik Fixed in Version => 0.12